Subject: Re: bug#46670: 28.0.50; [feature/native-comp] possible miscompilation affecting lsp-mode

From: Mauricio Collares <[email-masked]>
Date: Tue, 23 Feb 2021 23:10:37 -0300

On February 23, 2021 8:26:25 PM GMT-03:00, Andrea Corallo <[email-masked]> wrote:
>Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
>text editors" <[email-masked]> writes:
>
>Right I've pushed bddd7a2d13 implementing the discussed solution as I'm
>convinced is more general and future proof.
>
>The patch is passing the tests and bootstrapping clean, also is adding a
>test that should cover this specific bug.
>
>Mauricio could you verify it actually solves the lsp-mode issue?

Hi Andrea,

I've verified that the lsp-mode completion issue is fixed. Many, many thanks! 

By the way, I just noticed that this is probably the same issue that was reported by X L and Óscar Fuentes in emacs-devel ('Completion doesn't start after "." Is pressed in go-mode with gopls').

Best,
Mauricio